Skip to content
Docs

Update Team Directory Sync Role Mappings

POSThttps://api.vercel.com/v1/teams/{teamId}/dsync-roles
Update the Directory Sync role mappings for a Team. This endpoint allows updating the mapping between directory groups and team roles or access groups.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.teams.postTeamDsyncRoles({
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"ok": "false"
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringRequired
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
rolesobjectRequired
Directory groups to role or access group mappings.
200Success
okbooleanRequired
400One of the provided values in the request body is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error